Update sanitizer policies
curl --request POST \
--url http://co-mind-platform-host/v1/admin/sanitizer/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"policies": {
"user_input": {
"INJECTION": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"BENIGN": {
"threshold": 123,
"alert_admin": true,
"audit": true
}
},
"retrieved_content": {
"INJECTION": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"BENIGN": {
"threshold": 123,
"alert_admin": true,
"audit": true
}
},
"pii": {
"default": {
"action": "<string>",
"entities": [
"<string>"
]
},
"contexts": {}
}
},
"tenant_id": "<string>"
}
'import requests
url = "http://co-mind-platform-host/v1/admin/sanitizer/policies"
payload = {
"policies": {
"user_input": {
"INJECTION": {
"threshold": 123,
"alert_admin": True,
"audit": True
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": True,
"audit": True
},
"BENIGN": {
"threshold": 123,
"alert_admin": True,
"audit": True
}
},
"retrieved_content": {
"INJECTION": {
"threshold": 123,
"alert_admin": True,
"audit": True
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": True,
"audit": True
},
"BENIGN": {
"threshold": 123,
"alert_admin": True,
"audit": True
}
},
"pii": {
"default": {
"action": "<string>",
"entities": ["<string>"]
},
"contexts": {}
}
},
"tenant_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
policies: {
user_input: {
INJECTION: {threshold: 123, alert_admin: true, audit: true},
JAILBREAK: {threshold: 123, alert_admin: true, audit: true},
BENIGN: {threshold: 123, alert_admin: true, audit: true}
},
retrieved_content: {
INJECTION: {threshold: 123, alert_admin: true, audit: true},
JAILBREAK: {threshold: 123, alert_admin: true, audit: true},
BENIGN: {threshold: 123, alert_admin: true, audit: true}
},
pii: {default: {action: '<string>', entities: ['<string>']}, contexts: {}}
},
tenant_id: '<string>'
})
};
fetch('http://co-mind-platform-host/v1/admin/sanitizer/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_input": {
"INJECTION": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"BENIGN": {
"threshold": 123,
"alert_admin": true,
"audit": true
}
},
"retrieved_content": {
"INJECTION": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"JAILBREAK": {
"threshold": 123,
"alert_admin": true,
"audit": true
},
"BENIGN": {
"threshold": 123,
"alert_admin": true,
"audit": true
}
},
"pii": {
"default": {
"action": "<string>",
"entities": [
"<string>"
]
},
"contexts": {}
}
}{
"error": {
"message": "Invalid request parameters",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid authentication credentials",
"type": "permission_error",
"code": "unauthorized"
}
}{
"error": {
"message": "Unauthorized backend access",
"type": "permission_error",
"code": "forbidden"
}
}Sanitizer Admin
Update sanitizer policies
Update sanitizer policies for a tenant. Tenant isolation enforced. Accepts both JWT and service tokens (hybrid auth).
POST
/
v1
/
admin
/
sanitizer
/
policies
Update sanitizer policies
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
⌘I

